import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Hammer here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Hammer extends Actor
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    private int actCount;
    private int score;
    private int healthDrop;
    private GreenfootSound goodTokoh;
    private GreenfootSound badTokoh;
    
    /**
     * Act - do whatever the Hammer wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        mouse();
        switchImage();
        removeOnClick();
        goodTokoh = new GreenfootSound("GoodTokoh.wav");
        badTokoh = new GreenfootSound("BadTokoh.wav");
    }    
    
    public Hammer()
    {
        score = 0;
        healthDrop = 0;
        image1 = new GreenfootImage("hammer1.png");
        image2 = new GreenfootImage("hammer2.png");
        setImage(image1);
    }
    
    public void mouse()
    {
      if(Greenfoot.mouseMoved(null))
      {
            MouseInfo mouse = Greenfoot.getMouseInfo();
            setLocation(mouse.getX(),mouse.getY());
      }
    }
    
    public void switchImage()
    {
        if(Greenfoot.mousePressed(null))
        {    
            setImage (image2);
        }
        else
        {
            
            if (actCount > 40)
            {
                setImage (image1);
                actCount = 0;
            }
            actCount++;
        }
    }
    
    public void removeOnClick()
    {
       if (Greenfoot.mouseClicked(null))
       {
           Actor actor = getOneObjectAtOffset(0, 0, Actor.class);
           if(actor!=null && actor.getClass()== Pig_2.class)
           {
               Pig_2 pig_2 = (Pig_2)actor;
               World world = getWorld();
               world.removeObject(actor);
               goodTokoh.play();
               
               score = score + 1;
           }
           
           if(actor!=null && actor.getClass()== Pig_1.class)
           {
               Pig_1 pig_1 = (Pig_1)actor;
               World world = getWorld();
               world.removeObject(actor);
               goodTokoh.play();
               
               score = score + 1;
           }
           
           if(actor!=null && actor.getClass()== Fruit.class)
           {
               Fruit fruit = (Fruit)actor;
               World world = getWorld();
               world.removeObject(actor);
               badTokoh.play();
               
               score = score - 2;
               
               if(world instanceof World_2)
               {
                   healthDrop = healthDrop - 1;
               }
               
           }
       }
        
    }
    
    public int getScore()
    {
        return score;
    }
    
    public int getHealthDrop()
    {
        return healthDrop;
    }
    
    public void setHealthDrop(int value)
    {
        healthDrop = value;
    }
}
