import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class World_2 here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class World_2 extends GameMode
{
    private int health;
    private int healthDropPig;
    
    /**
     * Constructor class World_2.
     * 
     */
    public World_2()
    {
        // memanggil constructor lain dengan gameStarted = false.
        this(false);
    }
    
    /**
     * Constructs game.
     */
    public World_2(boolean gameStarted)
    {
        // Create a new world with 500x450 cells with a cell size of 1x1 pixels.
        super();  
            
        if (gameStarted)
        {
            super.initialize();
            setPaintOrder(Hammer.class, Tokoh.class);
        }
        else
        {
            Greenfoot.setWorld(new IntroWorld());
        }
    }
 
    public void act()
    {
        super.act();
        showText("" + game.getHealth(), 89, 43);
        calculateHealth();
    }
    
    /**
     * Set current health.
     */
    public void calculateHealth()
    {
        game.setHealth(game.getHealth() + hammer.getHealthDrop() + healthDropPig);
        hammer.setHealthDrop(0);
        healthDropPig = 0;
            
    }
    
    /**
     * Check game over.
     */
    public boolean checkGameOver()
    {           
        if(game.getHealth()== 0)
        {
            return true;
        }
        
        return false;
    }

    public void setHealthDropPig(int value)
    {
        healthDropPig = value;
    }
    
    /**
     * Check healthDropPig
     */
    public int getHealthDropPig()
    {
        return healthDropPig;
    }
}
